{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_atividade6_unitario_app (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/emilio/2020_QS_Paradigmas_L6/.stack-work/install/x86_64-linux-tinfo6/1331982dbddba3ef8b06d2515b2a149fe068f2a05e3bcd3e1465abc4d03e39e1/8.6.5/bin"
libdir     = "/home/emilio/2020_QS_Paradigmas_L6/.stack-work/install/x86_64-linux-tinfo6/1331982dbddba3ef8b06d2515b2a149fe068f2a05e3bcd3e1465abc4d03e39e1/8.6.5/lib/x86_64-linux-ghc-8.6.5/atividade6-unitario-app-0.1.0.0-51pvEGcIDAn5bjJv2rKmXo-atividade6-unitario-app-test"
dynlibdir  = "/home/emilio/2020_QS_Paradigmas_L6/.stack-work/install/x86_64-linux-tinfo6/1331982dbddba3ef8b06d2515b2a149fe068f2a05e3bcd3e1465abc4d03e39e1/8.6.5/lib/x86_64-linux-ghc-8.6.5"
datadir    = "/home/emilio/2020_QS_Paradigmas_L6/.stack-work/install/x86_64-linux-tinfo6/1331982dbddba3ef8b06d2515b2a149fe068f2a05e3bcd3e1465abc4d03e39e1/8.6.5/share/x86_64-linux-ghc-8.6.5/atividade6-unitario-app-0.1.0.0"
libexecdir = "/home/emilio/2020_QS_Paradigmas_L6/.stack-work/install/x86_64-linux-tinfo6/1331982dbddba3ef8b06d2515b2a149fe068f2a05e3bcd3e1465abc4d03e39e1/8.6.5/libexec/x86_64-linux-ghc-8.6.5/atividade6-unitario-app-0.1.0.0"
sysconfdir = "/home/emilio/2020_QS_Paradigmas_L6/.stack-work/install/x86_64-linux-tinfo6/1331982dbddba3ef8b06d2515b2a149fe068f2a05e3bcd3e1465abc4d03e39e1/8.6.5/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "atividade6_unitario_app_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "atividade6_unitario_app_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "atividade6_unitario_app_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "atividade6_unitario_app_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "atividade6_unitario_app_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "atividade6_unitario_app_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
